Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.util
Class Iterator

Method Summary
`int` | `count(Object value)` Counts the number of occurrences of the given value from the items within this Iterator Comparison is done using Groovy's == operator (using `compareTo(value) == 0` or `equals(value)` ) The iterator will become exhausted of elements after determining the count value
`Object` | `inject(Object value, Closure closure)` Iterates through the given iterator, passing in the initial value to the closure along with the current iterated item then passing into the next iteration the value of the previous closure
`Iterator` | `iterator()` An identity function for iterators, supporting 'duck-typing' when trying to get an iterator for each object within a collection, some of which may already be iterators
`String` | `join(String separator)` Concatenates the `toString()` representation of each item from the iterator, with the given String as a separator between each item determining the resulting conjoined value
`Object` | `max()` Adds max() method to Iterator objects exhausted of elements after determining the maximum value
`Object` | `max(Closure closure)` Selects the maximum value found from the Iterator using the given closure as a comparator number) for each item passed exhausted of elements after this operation
`Object` | `max(Comparator comparator)` Selects the maximum value found from the Iterator using the given comparator
`Object` | `min()` Adds min() method to Iterator objects exhausted of elements after determining the minimum value
`Object` | `min(Comparator comparator)` Selects the minimum value found from the Iterator using the given comparator
`Object` | `min(Closure closure)` Selects the minimum value found from the Iterator using the given closure as a comparator number) for each item passed exhausted of elements after this operation
`Iterator` | `reverse()` Reverses the iterator exhausted of elements after determining the reversed values A new iterator for iterating through the reversed values is returned
`int` | `size()` Provide the standard Groovy `size()` method for `Iterator` The iterator will become exhausted of elements after determining the size value
`Iterator` | `sort()` Sorts the given iterator items into a sorted iterator assumed to be comparable exhausted of elements after completing this method call is produced that traverses the items in sorted order
`Iterator` | `sort(Comparator comparator)` Sorts the given iterator items into a sorted iterator using the comparator
`Iterator` | `sort(Closure closure)` Sorts the given iterator items into a sorted iterator using the closure as a comparator
`Object` | `sum()` Sums the items from an Iterator "plus" method on all items from the Iterator exhausted of elements after determining the sum value
`Object` | `sum(Object initialValue)` Sums the items from an Iterator "plus" method on all items from the Iterator
`List` | `toList()` Convert an iterator to a List exhausted of elements after making this conversion
`Iterator` | `unique()` Returns an iterator equivalent to this iterator all duplicated items removed by using the default comparator exhausted of elements after determining the unique values for the unique values will be returned
`Iterator` | `unique(Closure closure)` Returns an iterator equivalent to this iterator all duplicated items removed by using a closure as a comparator single parameter, the argument passed will be each element, and the closure should return a value used for comparison (either using {@link Comparable#compareTo(Object)} or Object#equals() )
`Iterator` | `unique(Comparator comparator)` Returns an iterator equivalent to this iterator with all duplicated items removed by using the supplied comparator

Method Detail

### count

    public int count(Object value)

  Counts the number of occurrences of the given value from the items within this Iterator. Comparison is done using Groovy's == operator (using `compareTo(value) == 0` or `equals(value)` ). The iterator will become exhausted of elements after determining the count value.

Parameters:
  `value` - the value being searched for.
Returns:
  the number of occurrences

### inject

    public Object inject(Object value, Closure closure)

  Iterates through the given iterator, passing in the initial value to the closure along with the current iterated item then passing into the next iteration the value of the previous closure.

Parameters:
  `value` - a value.
  `closure` - a closure.
Returns:
  the last value of the last iteration

### iterator

    public Iterator iterator()

  An identity function for iterators, supporting 'duck-typing' when trying to get an iterator for each object within a collection, some of which may already be iterators.

Returns:
  itself

### join

    public String join(String separator)

  Concatenates the `toString()` representation of each item from the iterator, with the given String as a separator between each item. The iterator will become exhausted of elements after determining the resulting conjoined value.

Parameters:
  `separator` - a String separator.
Returns:
  the joined String

### max

    public Object max()

  Adds max() method to Iterator objects. The iterator will become exhausted of elements after determining the maximum value.

Returns:
  the maximum value

See:
  GroovyCollections#max.

### max

    public Object max(Closure closure)

  Selects the maximum value found from the Iterator using the given closure as a comparator. The closure should return a comparable value (i.e. a number) for each item passed. The iterator will become exhausted of elements after this operation.

Parameters:
  `closure` - a closure used as a comparator.
Returns:
  the maximum value

See:
  #max.

### max

    public Object max(Comparator comparator)

  Selects the maximum value found from the Iterator using the given comparator.

Parameters:
  `comparator` - a Comparator.
Returns:
  the maximum value

### min

    public Object min()

  Adds min() method to Iterator objects. The iterator will become exhausted of elements after determining the minimum value.

Returns:
  the minimum value

See:
  #min.

### min

    public Object min(Comparator comparator)

  Selects the minimum value found from the Iterator using the given comparator.

Parameters:
  `comparator` - a Comparator.
Returns:
  the minimum value

See:
  #min.

### min

    public Object min(Closure closure)

  Selects the minimum value found from the Iterator using the given closure as a comparator. The closure should return a comparable value (i.e. a number) for each item passed. The iterator will become exhausted of elements after this operation.

Parameters:
  `closure` - a closure used as a comparator.
Returns:
  the minimum value

See:
  #min.

### reverse

    public Iterator reverse()

  Reverses the iterator. The original iterator will become exhausted of elements after determining the reversed values. A new iterator for iterating through the reversed values is returned.

Returns:
  a reversed Iterator

### size

    public int size()

  Provide the standard Groovy `size()` method for `Iterator`. The iterator will become exhausted of elements after determining the size value.

Returns:
  the length of the Iterator

### sort

    public Iterator sort()

  Sorts the given iterator items into a sorted iterator. The items are assumed to be comparable. The original iterator will become exhausted of elements after completing this method call. A new iterator is produced that traverses the items in sorted order.

Returns:
  the sorted items as an Iterator

### sort

    public Iterator sort(Comparator comparator)

  Sorts the given iterator items into a sorted iterator using the comparator.

Parameters:
  `comparator` - a Comparator used for comparing items.
Returns:
  the sorted items as an Iterator

### sort

    public Iterator sort(Closure closure)

  Sorts the given iterator items into a sorted iterator using the closure as a comparator.

Parameters:
  `closure` - a Closure used as a comparator.
Returns:
  the sorted items as an Iterator

### sum

    public Object sum()

  Sums the items from an Iterator. This is equivalent to invoking the "plus" method on all items from the Iterator. The iterator will become exhausted of elements after determining the sum value.

Returns:
  The sum of all of the items

### sum

    public Object sum(Object initialValue)

  Sums the items from an Iterator. This is equivalent to invoking the "plus" method on all items from the Iterator.

Parameters:
  `initialValue` - the items in the collection will be summed to this initial value.
Returns:
  The sum of all of the items

### toList

    public List toList()

  Convert an iterator to a List. The iterator will become exhausted of elements after making this conversion.

Returns:
  a List

### unique

    public Iterator unique()

  Returns an iterator equivalent to this iterator all duplicated items removed by using the default comparator. The original iterator will become exhausted of elements after determining the unique values. A new iterator for the unique values will be returned.

Returns:
  the modified Iterator

### unique

    public Iterator unique(Closure closure)

  Returns an iterator equivalent to this iterator all duplicated items removed by using a closure as a comparator. If the closure takes a single parameter, the argument passed will be each element, and the closure should return a value used for comparison (either using {@link Comparable#compareTo(Object)} or Object#equals() ).

Parameters:
  `closure` - a Closure used as a comparator.
Returns:
  the modified Iterator

### unique

    public Iterator unique(Comparator comparator)

  Returns an iterator equivalent to this iterator with all duplicated items removed by using the supplied comparator.

Parameters:
  `comparator` - a Comparator.
Returns:
  the modified Iterator

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK